{% extends 'base.html' %}

{% block title %} Events {% endblock %}

{% block content %}
<h1 class="text-center my-3">Events</h1>
{% if event_list %}

<ul class="list-group">
    <div class="container">
{% for event in event_list %}
<li class="list-group-item">
    <div class="row">
        <div class="col-10">
            <h3>{{ event.event_name }}</h3>
            <p>{{ event.description }}</p>
            <p>Status: {{ event.status }}</p>
            <p>Date: {{ event.event_date }}</p>
        </div>
        <div class="col-2 mt-5">
            <a class="btn btn-primary btn-sm mb-1" href="{% url 'todolist:update_event' event.id %}">Update</a>
            <form action="{% url 'todolist:delete_event' event.id %}" method="post" class="d-inline">
                {% csrf_token %}
                <button type="submit" class="btn btn-danger btn-sm mb-1">Delete</button>
            </form>
        </div>
    </div>
</li>
{% endfor %}
    </div>
</ul>
{% else %}
<ul class="list-group">
<div class="container">
    <li class="list-group-item">
        <p class="text-center mt-3">No events have been created yet.</p>
    </li>
</div>  
</ul>
{% endif %}
{% endblock %}